> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maesn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create customer

## Field support per integration

<AccordionGroup>
  <Accordion title="abacus" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/abacus.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=e1a1710b2ea6a968fe05f50e6add869c" width="180" height="120" data-path="logo/abacus.svg">
    <Note>
      Please ensure the query parameter `environmentName` is accurately populated with the appropriate environment.
      You can obtain this value by using the `GET Environments` endpoint available under the Authentication section.
    </Note>

    Supported Request Parameters:

    <ResponseField name="contactType" type="enum" required>
      Available options: `CONTACT_PERSON`, `COMPANY`
    </ResponseField>

    <ResponseField name="companyName" type="string" />

    <ResponseField name="contactPersons" type="ContactPerson[]">
      <Expandable title="properties">
        <ResponseField name="salutation" type="string" />

        <ResponseField name="firstName" type="string" />

        <ResponseField name="lastName" type="string" />

        <ResponseField name="emailAddresses" type="EmailAddress[]">
          <Expandable title="properties">
            <ResponseField name="email" type="string" />

            <ResponseField name="type" type="enum">
              Available options: `BUSINESS` `PRIVATE`
            </ResponseField>
          </Expandable>
        </ResponseField>

        <ResponseField name="phoneNumbers" type="PhoneNumber[]">
          <Expandable title="properties">
            <ResponseField name="number" type="string" />

            <ResponseField name="type" type="enum">
              Available options: `BUSINESS`, `PRIVATE`, `FAX`
            </ResponseField>
          </Expandable>
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="addresses" type="Address[]">
      <Expandable title="properties">
        <ResponseField name="addressLine1" type="string" />

        <ResponseField name="postalCode" type="string" />

        <ResponseField name="city" type="string" />

        <ResponseField name="countryCode" type="enum">
          Available options (ISO 3166-1 alpha-2):

          `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, `AT`, `AU`, `AW`, `AX`, `AZ`, `BA`, `BB`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BL`, `BM`, `BN`, `BO`, `BQ`, `BR`, `BS`, `BT`, `BV`, `BW`, `BY`, `BZ`, `CA`, `CC`, `CD`, `CF`, `CG`, `CH`, `CI`, `CK`, `CL`, `CM`, `CN`, `CO`, `CR`, `CU`, `CV`, `CW`, `CX`, `CY`, `CZ`, `DE`, `DJ`, `DK`, `DM`, `DO`, `DZ`, `EC`, `EE`, `EG`, `EH`, `ER`, `ES`, `ET`, `FI`, `FJ`, `FK`, `FM`, `FO`, `FR`, `GA`, `GB`, `GD`, `GE`, `GF`, `GG`, `GH`, `GI`, `GL`, `GM`, `GN`, `GP`, `GQ`, `GR`, `GS`, `GT`, `GU`, `GW`, `GY`, `HK`, `HM`, `HN`, `HR`, `HT`, `HU`, `ID`, `IE`, `IL`, `IM`, `IN`, `IO`, `IQ`, `IR`, `IS`, `IT`, `JE`, `JM`, `JO`, `JP`, `KE`, `KG`, `KH`, `KI`, `KM`, `KN`, `KP`, `KR`, `KW`, `KY`, `KZ`, `LA`, `LB`, `LC`, `LI`, `LK`, `LR`, `LS`, `LT`, `LU`, `LV`, `LY`, `MA`, `MC`, `MD`, `ME`, `MF`, `MG`, `MH`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MQ`, `MR`, `MS`, `MT`, `MU`, `MV`, `MW`, `MX`, `MY`, `MZ`, `NA`, `NC`, `NE`, `NF`, `NG`, `NI`, `NL`, `NO`, `NP`, `NR`, `NU`, `NZ`, `OM`, `PA`, `PE`, `PF`, `PG`, `PH`, `PK`, `PL`, `PM`, `PN`, `PR`, `PT`, `PW`, `PY`, `QA`, `RE`, `RO`, `RS`, `RU`, `RW`, `SA`, `SB`, `SC`, `SD`, `SE`, `SG`, `SH`, `SI`, `SJ`, `SK`, `SL`, `SM`, `SN`, `SO`, `SR`, `SS`, `ST`, `SV`, `SX`, `SY`, `SZ`, `TC`, `TD`, `TF`, `TG`, `TH`, `TJ`, `TK`, `TL`, `TM`, `TN`, `TO`, `TR`, `TT`, `TV`, `TW`, `TZ`, `UA`, `UG`, `UM`, `US`, `UY`, `UZ`, `VA`, `VC`, `VE`, `VG`, `VI`, `VN`, `VU`, `WF`, `WS`, `YE`, `YT`, `ZA`, `ZM`, `ZW`
        </ResponseField>

        <ResponseField name="type" type="enum">
          Available options: `BILLING`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="emailAddresses" type="EmailAddress[]">
      <Expandable title="properties">
        <ResponseField name="email" type="string" />

        <ResponseField name="type" type="enum">
          Available options: `BUSINESS` `PRIVATE`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="phoneNumbers" type="PhoneNumber[]">
      <Expandable title="properties">
        <ResponseField name="number" type="string" />

        <ResponseField name="type" type="enum">
          Available options: `BUSINESS`, `PRIVATE`, `FAX`
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Accordion>

  <Accordion title="BuchhaltungsButler" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/buchhaltungsbutler.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=3c7e3e932413af1baa050ec41ef97a10" width="24" height="24" data-path="logo/buchhaltungsbutler.svg">
    Supported Request Parameters:

    <ResponseField name="contactType" type="enum" required>
      Available options: `COMPANY`
    </ResponseField>

    <ResponseField name="companyName" type="string" />

    <ResponseField name="contactPersons" type="ContactPerson[]">
      <Expandable title="properties">
        <ResponseField name="firstName" type="string" />

        <ResponseField name="lastName" type="string" />
      </Expandable>
    </ResponseField>

    <ResponseField name="addresses" type="Address[]">
      <Expandable title="properties">
        <ResponseField name="addressLine1" type="string" />

        <ResponseField name="addressLine2" type="string" />

        <ResponseField name="postalCode" type="string" />

        <ResponseField name="city" type="string" />

        <ResponseField name="countryCode" type="enum">
          Available options (ISO 3166-1 alpha-2):

          `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, `AT`, `AU`, `AW`, `AX`, `AZ`, `BA`, `BB`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BL`, `BM`, `BN`, `BO`, `BQ`, `BR`, `BS`, `BT`, `BV`, `BW`, `BY`, `BZ`, `CA`, `CC`, `CD`, `CF`, `CG`, `CH`, `CI`, `CK`, `CL`, `CM`, `CN`, `CO`, `CR`, `CU`, `CV`, `CW`, `CX`, `CY`, `CZ`, `DE`, `DJ`, `DK`, `DM`, `DO`, `DZ`, `EC`, `EE`, `EG`, `EH`, `ER`, `ES`, `ET`, `FI`, `FJ`, `FK`, `FM`, `FO`, `FR`, `GA`, `GB`, `GD`, `GE`, `GF`, `GG`, `GH`, `GI`, `GL`, `GM`, `GN`, `GP`, `GQ`, `GR`, `GS`, `GT`, `GU`, `GW`, `GY`, `HK`, `HM`, `HN`, `HR`, `HT`, `HU`, `ID`, `IE`, `IL`, `IM`, `IN`, `IO`, `IQ`, `IR`, `IS`, `IT`, `JE`, `JM`, `JO`, `JP`, `KE`, `KG`, `KH`, `KI`, `KM`, `KN`, `KP`, `KR`, `KW`, `KY`, `KZ`, `LA`, `LB`, `LC`, `LI`, `LK`, `LR`, `LS`, `LT`, `LU`, `LV`, `LY`, `MA`, `MC`, `MD`, `ME`, `MF`, `MG`, `MH`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MQ`, `MR`, `MS`, `MT`, `MU`, `MV`, `MW`, `MX`, `MY`, `MZ`, `NA`, `NC`, `NE`, `NF`, `NG`, `NI`, `NL`, `NO`, `NP`, `NR`, `NU`, `NZ`, `OM`, `PA`, `PE`, `PF`, `PG`, `PH`, `PK`, `PL`, `PM`, `PN`, `PR`, `PT`, `PW`, `PY`, `QA`, `RE`, `RO`, `RS`, `RU`, `RW`, `SA`, `SB`, `SC`, `SD`, `SE`, `SG`, `SH`, `SI`, `SJ`, `SK`, `SL`, `SM`, `SN`, `SO`, `SR`, `SS`, `ST`, `SV`, `SX`, `SY`, `SZ`, `TC`, `TD`, `TF`, `TG`, `TH`, `TJ`, `TK`, `TL`, `TM`, `TN`, `TO`, `TR`, `TT`, `TV`, `TW`, `TZ`, `UA`, `UG`, `UM`, `US`, `UY`, `UZ`, `VA`, `VC`, `VE`, `VG`, `VI`, `VN`, `VU`, `WF`, `WS`, `YE`, `YT`, `ZA`, `ZM`, `ZW`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="emailAddresses" type="EmailAddress[]">
      <Expandable title="properties">
        <ResponseField name="email" type="string" />

        <ResponseField name="type" type="enum">
          Available options: `BUSINESS`
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Accordion>

  <Accordion title="Business Central" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/businesscentral.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=9cdc50aa9f467133e9e9372eab83f38b" width="24" height="24" data-path="logo/businesscentral.svg">
    <Note>
      If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameters `environmentName` and `companyId` are correctly populated.
      You can obtain these values by using the `GET Environments` and `GET Companies` endpoints available under the Authentication section.
    </Note>

    Supported Request Parameters:

    <ResponseField name="contactType" type="enum" required>
      Available options: `CONTACT_PERSON`, `COMPANY`
    </ResponseField>

    <ResponseField name="companyName" type="string" />

    <ResponseField name="contactPersons" type="ContactPerson[]">
      <Expandable title="properties">
        <ResponseField name="firstName" type="string" />

        <ResponseField name="lastName" type="string" />

        <ResponseField name="emailAddresses" type="string[]" />

        <ResponseField name="phoneNumbers" type="string[]" />
      </Expandable>
    </ResponseField>

    <ResponseField name="addresses" type="Address[]">
      <Expandable title="properties">
        <ResponseField name="addressLine1" type="string" />

        <ResponseField name="addressLine2" type="string" />

        <ResponseField name="postalCode" type="string" />

        <ResponseField name="city" type="string" />

        <ResponseField name="countryCode" type="enum">
          Available options (ISO 3166-1 alpha-2):

          `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, `AT`, `AU`, `AW`, `AX`, `AZ`, `BA`, `BB`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BL`, `BM`, `BN`, `BO`, `BQ`, `BR`, `BS`, `BT`, `BV`, `BW`, `BY`, `BZ`, `CA`, `CC`, `CD`, `CF`, `CG`, `CH`, `CI`, `CK`, `CL`, `CM`, `CN`, `CO`, `CR`, `CU`, `CV`, `CW`, `CX`, `CY`, `CZ`, `DE`, `DJ`, `DK`, `DM`, `DO`, `DZ`, `EC`, `EE`, `EG`, `EH`, `ER`, `ES`, `ET`, `FI`, `FJ`, `FK`, `FM`, `FO`, `FR`, `GA`, `GB`, `GD`, `GE`, `GF`, `GG`, `GH`, `GI`, `GL`, `GM`, `GN`, `GP`, `GQ`, `GR`, `GS`, `GT`, `GU`, `GW`, `GY`, `HK`, `HM`, `HN`, `HR`, `HT`, `HU`, `ID`, `IE`, `IL`, `IM`, `IN`, `IO`, `IQ`, `IR`, `IS`, `IT`, `JE`, `JM`, `JO`, `JP`, `KE`, `KG`, `KH`, `KI`, `KM`, `KN`, `KP`, `KR`, `KW`, `KY`, `KZ`, `LA`, `LB`, `LC`, `LI`, `LK`, `LR`, `LS`, `LT`, `LU`, `LV`, `LY`, `MA`, `MC`, `MD`, `ME`, `MF`, `MG`, `MH`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MQ`, `MR`, `MS`, `MT`, `MU`, `MV`, `MW`, `MX`, `MY`, `MZ`, `NA`, `NC`, `NE`, `NF`, `NG`, `NI`, `NL`, `NO`, `NP`, `NR`, `NU`, `NZ`, `OM`, `PA`, `PE`, `PF`, `PG`, `PH`, `PK`, `PL`, `PM`, `PN`, `PR`, `PT`, `PW`, `PY`, `QA`, `RE`, `RO`, `RS`, `RU`, `RW`, `SA`, `SB`, `SC`, `SD`, `SE`, `SG`, `SH`, `SI`, `SJ`, `SK`, `SL`, `SM`, `SN`, `SO`, `SR`, `SS`, `ST`, `SV`, `SX`, `SY`, `SZ`, `TC`, `TD`, `TF`, `TG`, `TH`, `TJ`, `TK`, `TL`, `TM`, `TN`, `TO`, `TR`, `TT`, `TV`, `TW`, `TZ`, `UA`, `UG`, `UM`, `US`, `UY`, `UZ`, `VA`, `VC`, `VE`, `VG`, `VI`, `VN`, `VU`, `WF`, `WS`, `YE`, `YT`, `ZA`, `ZM`, `ZW`
        </ResponseField>

        <ResponseField name="type" type="enum">
          Available options: `BILLING`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="emailAddresses" type="EmailAddress[]">
      <Expandable title="properties">
        <ResponseField name="email" type="string" />

        <ResponseField name="type" type="enum">
          Available options: `BUSINESS`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="number" type="string" />

    <ResponseField name="phoneNumbers" type="PhoneNumber[]">
      <Expandable title="properties">
        <ResponseField name="number" type="string" />

        <ResponseField name="type" type="enum">
          Available options: `BUSINESS`
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Accordion>

  <Accordion title="Exact Online" icon="https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/exact.svg?fit=max&auto=format&n=gCd41Ws3USFubam4&q=85&s=afa1af7a261b22f843ac73ee60896ede" width="24" height="24" data-path="logo/exact.svg">
    <Note>
      If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated.
      You can obtain this value by using the `GET Companies` endpoint available under the Authentication section.
    </Note>

    Supported Request Parameters:

    <ResponseField name="contactType" type="enum">
      Available options: `CONTACT_PERSON`, `COMPANY`
    </ResponseField>

    <ResponseField name="companyName" type="string" />

    <ResponseField name="contactPersons" type="ContactPerson[]">
      <Expandable title="properties">
        <ResponseField name="salutation" type="string" />

        <ResponseField name="firstName" type="string" />

        <ResponseField name="lastName" type="string" />

        <ResponseField name="emailAddresses" type="string[]" />

        <ResponseField name="phoneNumbers" type="string[]" />
      </Expandable>
    </ResponseField>

    <ResponseField name="addresses" type="Address[]">
      <Expandable title="properties">
        <ResponseField name="addressLine1" type="string" />

        <ResponseField name="addressLine2" type="string" />

        <ResponseField name="postalCode" type="string" />

        <ResponseField name="city" type="string" />

        <ResponseField name="countryCode" type="enum">
          Available options (ISO 3166-1 alpha-2):

          `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, `AT`, `AU`, `AW`, `AX`, `AZ`, `BA`, `BB`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BL`, `BM`, `BN`, `BO`, `BQ`, `BR`, `BS`, `BT`, `BV`, `BW`, `BY`, `BZ`, `CA`, `CC`, `CD`, `CF`, `CG`, `CH`, `CI`, `CK`, `CL`, `CM`, `CN`, `CO`, `CR`, `CU`, `CV`, `CW`, `CX`, `CY`, `CZ`, `DE`, `DJ`, `DK`, `DM`, `DO`, `DZ`, `EC`, `EE`, `EG`, `EH`, `ER`, `ES`, `ET`, `FI`, `FJ`, `FK`, `FM`, `FO`, `FR`, `GA`, `GB`, `GD`, `GE`, `GF`, `GG`, `GH`, `GI`, `GL`, `GM`, `GN`, `GP`, `GQ`, `GR`, `GS`, `GT`, `GU`, `GW`, `GY`, `HK`, `HM`, `HN`, `HR`, `HT`, `HU`, `ID`, `IE`, `IL`, `IM`, `IN`, `IO`, `IQ`, `IR`, `IS`, `IT`, `JE`, `JM`, `JO`, `JP`, `KE`, `KG`, `KH`, `KI`, `KM`, `KN`, `KP`, `KR`, `KW`, `KY`, `KZ`, `LA`, `LB`, `LC`, `LI`, `LK`, `LR`, `LS`, `LT`, `LU`, `LV`, `LY`, `MA`, `MC`, `MD`, `ME`, `MF`, `MG`, `MH`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MQ`, `MR`, `MS`, `MT`, `MU`, `MV`, `MW`, `MX`, `MY`, `MZ`, `NA`, `NC`, `NE`, `NF`, `NG`, `NI`, `NL`, `NO`, `NP`, `NR`, `NU`, `NZ`, `OM`, `PA`, `PE`, `PF`, `PG`, `PH`, `PK`, `PL`, `PM`, `PN`, `PR`, `PT`, `PW`, `PY`, `QA`, `RE`, `RO`, `RS`, `RU`, `RW`, `SA`, `SB`, `SC`, `SD`, `SE`, `SG`, `SH`, `SI`, `SJ`, `SK`, `SL`, `SM`, `SN`, `SO`, `SR`, `SS`, `ST`, `SV`, `SX`, `SY`, `SZ`, `TC`, `TD`, `TF`, `TG`, `TH`, `TJ`, `TK`, `TL`, `TM`, `TN`, `TO`, `TR`, `TT`, `TV`, `TW`, `TZ`, `UA`, `UG`, `UM`, `US`, `UY`, `UZ`, `VA`, `VC`, `VE`, `VG`, `VI`, `VN`, `VU`, `WF`, `WS`, `YE`, `YT`, `ZA`, `ZM`, `ZW`
        </ResponseField>

        <ResponseField name="type" type="enum">
          Available options: `BILLING`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="emailAddresses" type="EmailAddress[]">
      <Expandable title="properties">
        <ResponseField name="email" type="string" />

        <ResponseField name="type" type="enum">
          Available options: `BUSINESS`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="phoneNumbers" type="PhoneNumber[]">
      <Expandable title="properties">
        <ResponseField name="number" type="string" />

        <ResponseField name="type" type="enum">
          Available options: `BUSINESS`
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Accordion>

  <Accordion title="fortnox" icon="https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/fortnox.svg?fit=max&auto=format&n=gCd41Ws3USFubam4&q=85&s=14025f10bb2d1afa587fa8447531a376" width="24" height="24" data-path="logo/fortnox.svg">
    Supported Request Parameters:

    <ResponseField name="contactType" type="enum">
      Available options: `CONTACT_PERSON`, `COMPANY`
    </ResponseField>

    <ResponseField name="companyName" type="string" />

    <ResponseField name="contactPersons" type="ContactPerson[]">
      <Expandable title="properties">
        <ResponseField name="firstName" type="string" />

        <ResponseField name="lastName" type="string" />

        <ResponseField name="emailAddresses" type="EmailAddress[]">
          <Expandable title="properties">
            <ResponseField name="email" type="string" />

            <ResponseField name="type" type="enum">
              Available options: `BUSINESS`, `INVOICE`
            </ResponseField>
          </Expandable>
        </ResponseField>

        <ResponseField name="phoneNumbers" type="PhoneNumber[]">
          <Expandable title="properties">
            <ResponseField name="number" type="string" />

            <ResponseField name="type" type="enum">
              Available options: `BUSINESS`, `FAX`
            </ResponseField>
          </Expandable>
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="addresses" type="Address[]">
      <Expandable title="properties">
        <ResponseField name="addressLine1" type="string" />

        <ResponseField name="addressLine2" type="string" />

        <ResponseField name="postalCode" type="string" />

        <ResponseField name="city" type="string" />

        <ResponseField name="countryCode" type="enum">
          Available options (ISO 3166-1 alpha-2):

          `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, `AT`, `AU`, `AW`, `AX`, `AZ`, `BA`, `BB`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BL`, `BM`, `BN`, `BO`, `BQ`, `BR`, `BS`, `BT`, `BV`, `BW`, `BY`, `BZ`, `CA`, `CC`, `CD`, `CF`, `CG`, `CH`, `CI`, `CK`, `CL`, `CM`, `CN`, `CO`, `CR`, `CU`, `CV`, `CW`, `CX`, `CY`, `CZ`, `DE`, `DJ`, `DK`, `DM`, `DO`, `DZ`, `EC`, `EE`, `EG`, `EH`, `ER`, `ES`, `ET`, `FI`, `FJ`, `FK`, `FM`, `FO`, `FR`, `GA`, `GB`, `GD`, `GE`, `GF`, `GG`, `GH`, `GI`, `GL`, `GM`, `GN`, `GP`, `GQ`, `GR`, `GS`, `GT`, `GU`, `GW`, `GY`, `HK`, `HM`, `HN`, `HR`, `HT`, `HU`, `ID`, `IE`, `IL`, `IM`, `IN`, `IO`, `IQ`, `IR`, `IS`, `IT`, `JE`, `JM`, `JO`, `JP`, `KE`, `KG`, `KH`, `KI`, `KM`, `KN`, `KP`, `KR`, `KW`, `KY`, `KZ`, `LA`, `LB`, `LC`, `LI`, `LK`, `LR`, `LS`, `LT`, `LU`, `LV`, `LY`, `MA`, `MC`, `MD`, `ME`, `MF`, `MG`, `MH`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MQ`, `MR`, `MS`, `MT`, `MU`, `MV`, `MW`, `MX`, `MY`, `MZ`, `NA`, `NC`, `NE`, `NF`, `NG`, `NI`, `NL`, `NO`, `NP`, `NR`, `NU`, `NZ`, `OM`, `PA`, `PE`, `PF`, `PG`, `PH`, `PK`, `PL`, `PM`, `PN`, `PR`, `PT`, `PW`, `PY`, `QA`, `RE`, `RO`, `RS`, `RU`, `RW`, `SA`, `SB`, `SC`, `SD`, `SE`, `SG`, `SH`, `SI`, `SJ`, `SK`, `SL`, `SM`, `SN`, `SO`, `SR`, `SS`, `ST`, `SV`, `SX`, `SY`, `SZ`, `TC`, `TD`, `TF`, `TG`, `TH`, `TJ`, `TK`, `TL`, `TM`, `TN`, `TO`, `TR`, `TT`, `TV`, `TW`, `TZ`, `UA`, `UG`, `UM`, `US`, `UY`, `UZ`, `VA`, `VC`, `VE`, `VG`, `VI`, `VN`, `VU`, `WF`, `WS`, `YE`, `YT`, `ZA`, `ZM`, `ZW`
        </ResponseField>

        <ResponseField name="type" type="enum">
          Available options: `BILLING`, `DELIVERY`, `WORK`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="emailAddresses" type="EmailAddress[]">
      <Expandable title="properties">
        <ResponseField name="email" type="string" />

        <ResponseField name="type" type="enum">
          Available options: `BUSINESS`, `INVOICE`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="phoneNumbers" type="PhoneNumber[]">
      <Expandable title="properties">
        <ResponseField name="number" type="string" />

        <ResponseField name="type" type="enum">
          Available options: `BUSINESS`, `FAX`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="projectId" type="string" />
  </Accordion>

  <Accordion title="FreshBooks" icon="https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/freshbooks.svg?fit=max&auto=format&n=gCd41Ws3USFubam4&q=85&s=5c854fbdda6618ad510ed264f6be68e6" width="24" height="24" data-path="logo/freshbooks.svg">
    <Note>
      Ensure that the query parameter `_companyId_` is correctly filled with the account ID associated with the contact.
      This value can be retrieved by using the `GET Companies` endpoint in the Authentication section. Use the returned `id` as the value for `_companyId_`.
    </Note>

    Supported Request Parameters:

    <ResponseField name="contactType" type="enum" required>
      Available options: `CONTACT_PERSON`, `COMPANY`
    </ResponseField>

    <ResponseField name="companyName" type="string" />

    <ResponseField name="contactPersons" type="ContactPerson[]">
      <Expandable title="properties">
        <ResponseField name="firstName" type="string" />

        <ResponseField name="lastName" type="string" />

        <ResponseField name="emailAddresses" type="string[]" />

        <ResponseField name="phoneNumbers" type="string[]" />
      </Expandable>
    </ResponseField>

    <ResponseField name="addresses" type="Address[]">
      <Expandable title="properties">
        <ResponseField name="addressLine1" type="string" />

        <ResponseField name="addressLine2" type="string" />

        <ResponseField name="postalCode" type="string" />

        <ResponseField name="city" type="string" />

        <ResponseField name="countryCode" type="enum">
          Available options (ISO 3166-1 alpha-2):

          `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, `AT`, `AU`, `AW`, `AX`, `AZ`, `BA`, `BB`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BL`, `BM`, `BN`, `BO`, `BQ`, `BR`, `BS`, `BT`, `BV`, `BW`, `BY`, `BZ`, `CA`, `CC`, `CD`, `CF`, `CG`, `CH`, `CI`, `CK`, `CL`, `CM`, `CN`, `CO`, `CR`, `CU`, `CV`, `CW`, `CX`, `CY`, `CZ`, `DE`, `DJ`, `DK`, `DM`, `DO`, `DZ`, `EC`, `EE`, `EG`, `EH`, `ER`, `ES`, `ET`, `FI`, `FJ`, `FK`, `FM`, `FO`, `FR`, `GA`, `GB`, `GD`, `GE`, `GF`, `GG`, `GH`, `GI`, `GL`, `GM`, `GN`, `GP`, `GQ`, `GR`, `GS`, `GT`, `GU`, `GW`, `GY`, `HK`, `HM`, `HN`, `HR`, `HT`, `HU`, `ID`, `IE`, `IL`, `IM`, `IN`, `IO`, `IQ`, `IR`, `IS`, `IT`, `JE`, `JM`, `JO`, `JP`, `KE`, `KG`, `KH`, `KI`, `KM`, `KN`, `KP`, `KR`, `KW`, `KY`, `KZ`, `LA`, `LB`, `LC`, `LI`, `LK`, `LR`, `LS`, `LT`, `LU`, `LV`, `LY`, `MA`, `MC`, `MD`, `ME`, `MF`, `MG`, `MH`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MQ`, `MR`, `MS`, `MT`, `MU`, `MV`, `MW`, `MX`, `MY`, `MZ`, `NA`, `NC`, `NE`, `NF`, `NG`, `NI`, `NL`, `NO`, `NP`, `NR`, `NU`, `NZ`, `OM`, `PA`, `PE`, `PF`, `PG`, `PH`, `PK`, `PL`, `PM`, `PN`, `PR`, `PT`, `PW`, `PY`, `QA`, `RE`, `RO`, `RS`, `RU`, `RW`, `SA`, `SB`, `SC`, `SD`, `SE`, `SG`, `SH`, `SI`, `SJ`, `SK`, `SL`, `SM`, `SN`, `SO`, `SR`, `SS`, `ST`, `SV`, `SX`, `SY`, `SZ`, `TC`, `TD`, `TF`, `TG`, `TH`, `TJ`, `TK`, `TL`, `TM`, `TN`, `TO`, `TR`, `TT`, `TV`, `TW`, `TZ`, `UA`, `UG`, `UM`, `US`, `UY`, `UZ`, `VA`, `VC`, `VE`, `VG`, `VI`, `VN`, `VU`, `WF`, `WS`, `YE`, `YT`, `ZA`, `ZM`, `ZW`
        </ResponseField>

        <ResponseField name="type" type="enum">
          Available options: `BILLING`, `DELIVERY`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="emailAddresses" type="EmailAddress[]">
      <Expandable title="properties">
        <ResponseField name="email" type="string" />

        <ResponseField name="type" type="enum">
          Available options: `BUSINESS`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="phoneNumbers" type="PhoneNumber[]">
      <Expandable title="properties">
        <ResponseField name="number" type="string" />

        <ResponseField name="type" type="enum">
          Available options: `BUSINESS`, `MOBILE`, `PRIVATE`, `FAX`
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Accordion>

  <Accordion title="Holded" icon="https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/holded.svg?fit=max&auto=format&n=NQwZPkomn6wLid0x&q=85&s=002a6714822fbb50f154f7ab9dea2db4" width="519" height="519" data-path="logo/holded.svg">
    Supported Request Parameters:

    <ResponseField name="id" type="string" />

    <ResponseField name="contactType" type="enum">
      Available options: `CONTACT_PERSON`, `COMPANY`
    </ResponseField>

    <ResponseField name="companyName" type="string" />

    <ResponseField name="contactPersons" type="ContactPerson[]">
      <Expandable title="properties">
        <ResponseField name="firstName" type="string" />

        <ResponseField name="lastName" type="string" />

        <ResponseField name="emailAddresses" type="string[]" />

        <ResponseField name="phoneNumbers" type="string[]" />
      </Expandable>
    </ResponseField>

    <ResponseField name="addresses" type="Address[]">
      <Expandable title="properties">
        <ResponseField name="addressLine1" type="string" />

        <ResponseField name="addressLine2" type="string" />

        <ResponseField name="postalCode" type="string" />

        <ResponseField name="city" type="string" />

        <ResponseField name="countryCode" type="enum">
          Available options (ISO 3166-1 alpha-2):

          `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, `AT`, `AU`, `AW`, `AX`, `AZ`, `BA`, `BB`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BL`, `BM`, `BN`, `BO`, `BQ`, `BR`, `BS`, `BT`, `BV`, `BW`, `BY`, `BZ`, `CA`, `CC`, `CD`, `CF`, `CG`, `CH`, `CI`, `CK`, `CL`, `CM`, `CN`, `CO`, `CR`, `CU`, `CV`, `CW`, `CX`, `CY`, `CZ`, `DE`, `DJ`, `DK`, `DM`, `DO`, `DZ`, `EC`, `EE`, `EG`, `EH`, `ER`, `ES`, `ET`, `FI`, `FJ`, `FK`, `FM`, `FO`, `FR`, `GA`, `GB`, `GD`, `GE`, `GF`, `GG`, `GH`, `GI`, `GL`, `GM`, `GN`, `GP`, `GQ`, `GR`, `GS`, `GT`, `GU`, `GW`, `GY`, `HK`, `HM`, `HN`, `HR`, `HT`, `HU`, `ID`, `IE`, `IL`, `IM`, `IN`, `IO`, `IQ`, `IR`, `IS`, `IT`, `JE`, `JM`, `JO`, `JP`, `KE`, `KG`, `KH`, `KI`, `KM`, `KN`, `KP`, `KR`, `KW`, `KY`, `KZ`, `LA`, `LB`, `LC`, `LI`, `LK`, `LR`, `LS`, `LT`, `LU`, `LV`, `LY`, `MA`, `MC`, `MD`, `ME`, `MF`, `MG`, `MH`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MQ`, `MR`, `MS`, `MT`, `MU`, `MV`, `MW`, `MX`, `MY`, `MZ`, `NA`, `NC`, `NE`, `NF`, `NG`, `NI`, `NL`, `NO`, `NP`, `NR`, `NU`, `NZ`, `OM`, `PA`, `PE`, `PF`, `PG`, `PH`, `PK`, `PL`, `PM`, `PN`, `PR`, `PT`, `PW`, `PY`, `QA`, `RE`, `RO`, `RS`, `RU`, `RW`, `SA`, `SB`, `SC`, `SD`, `SE`, `SG`, `SH`, `SI`, `SJ`, `SK`, `SL`, `SM`, `SN`, `SO`, `SR`, `SS`, `ST`, `SV`, `SX`, `SY`, `SZ`, `TC`, `TD`, `TF`, `TG`, `TH`, `TJ`, `TK`, `TL`, `TM`, `TN`, `TO`, `TR`, `TT`, `TV`, `TW`, `TZ`, `UA`, `UG`, `UM`, `US`, `UY`, `UZ`, `VA`, `VC`, `VE`, `VG`, `VI`, `VN`, `VU`, `WF`, `WS`, `YE`, `YT`, `ZA`, `ZM`, `ZW`
        </ResponseField>

        <ResponseField name="type" type="enum">
          Available options: `BILLING`, `DELIVERY`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="emailAddresses" type="EmailAddress[]">
      <Expandable title="properties">
        <ResponseField name="email" type="string" />

        <ResponseField name="type" type="enum">
          Available options: `BUSINESS`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="phoneNumbers" type="PhoneNumber[]">
      <Expandable title="properties">
        <ResponseField name="number" type="string" />

        <ResponseField name="type" type="enum">
          Available options: `BUSINESS`, `MOBILE`
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Accordion>

  <Accordion title="Lexware Office" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/lexoffice.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=efe4da1d7b59a552d1938ec981ccbc1e" width="24" height="24" data-path="logo/lexoffice.svg">
    <Note>
      Please note that it is not possible to create or update customers with more than one contact person in Lexware Office via the API. While it is possible to retrieve such contacts through the API, creating them must be done directly within the user interface.
    </Note>

    Supported Request Parameters:

    <ResponseField name="contactType" type="enum" required>
      Available options: `CONTACT_PERSON`, `COMPANY`
    </ResponseField>

    <ResponseField name="companyName" type="string" />

    <ResponseField name="contactPersons" type="ContactPerson[]">
      <Expandable title="properties">
        <ResponseField name="salutation" type="string" />

        <ResponseField name="firstName" type="string" />

        <ResponseField name="lastName" type="string" required />

        <ResponseField name="emailAddresses" type="string[]" />

        <ResponseField name="phoneNumbers" type="string[]" />
      </Expandable>
    </ResponseField>

    <ResponseField name="addresses" type="Address[]">
      <Expandable title="properties">
        <ResponseField name="addressLine1" type="string" />

        <ResponseField name="addressLine2" type="string" />

        <ResponseField name="city" type="string" />

        <ResponseField name="postalCode" type="string" />

        <ResponseField name="countryCode" type="enum">
          Available options (ISO 3166-1 alpha-2):

          `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, `AT`, `AU`, `AW`, `AX`, `AZ`, `BA`, `BB`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BL`, `BM`, `BN`, `BO`, `BQ`, `BR`, `BS`, `BT`, `BV`, `BW`, `BY`, `BZ`, `CA`, `CC`, `CD`, `CF`, `CG`, `CH`, `CI`, `CK`, `CL`, `CM`, `CN`, `CO`, `CR`, `CU`, `CV`, `CW`, `CX`, `CY`, `CZ`, `DE`, `DJ`, `DK`, `DM`, `DO`, `DZ`, `EC`, `EE`, `EG`, `EH`, `ER`, `ES`, `ET`, `FI`, `FJ`, `FK`, `FM`, `FO`, `FR`, `GA`, `GB`, `GD`, `GE`, `GF`, `GG`, `GH`, `GI`, `GL`, `GM`, `GN`, `GP`, `GQ`, `GR`, `GS`, `GT`, `GU`, `GW`, `GY`, `HK`, `HM`, `HN`, `HR`, `HT`, `HU`, `ID`, `IE`, `IL`, `IM`, `IN`, `IO`, `IQ`, `IR`, `IS`, `IT`, `JE`, `JM`, `JO`, `JP`, `KE`, `KG`, `KH`, `KI`, `KM`, `KN`, `KP`, `KR`, `KW`, `KY`, `KZ`, `LA`, `LB`, `LC`, `LI`, `LK`, `LR`, `LS`, `LT`, `LU`, `LV`, `LY`, `MA`, `MC`, `MD`, `ME`, `MF`, `MG`, `MH`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MQ`, `MR`, `MS`, `MT`, `MU`, `MV`, `MW`, `MX`, `MY`, `MZ`, `NA`, `NC`, `NE`, `NF`, `NG`, `NI`, `NL`, `NO`, `NP`, `NR`, `NU`, `NZ`, `OM`, `PA`, `PE`, `PF`, `PG`, `PH`, `PK`, `PL`, `PM`, `PN`, `PR`, `PT`, `PW`, `PY`, `QA`, `RE`, `RO`, `RS`, `RU`, `RW`, `SA`, `SB`, `SC`, `SD`, `SE`, `SG`, `SH`, `SI`, `SJ`, `SK`, `SL`, `SM`, `SN`, `SO`, `SR`, `SS`, `ST`, `SV`, `SX`, `SY`, `SZ`, `TC`, `TD`, `TF`, `TG`, `TH`, `TJ`, `TK`, `TL`, `TM`, `TN`, `TO`, `TR`, `TT`, `TV`, `TW`, `TZ`, `UA`, `UG`, `UM`, `US`, `UY`, `UZ`, `VA`, `VC`, `VE`, `VG`, `VI`, `VN`, `VU`, `WF`, `WS`, `YE`, `YT`, `ZA`, `ZM`, `ZW`
        </ResponseField>

        <ResponseField name="type" type="enum">
          Available options: `BILLING`, `DELIVERY`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="emailAddresses" type="EmailAddress[]">
      <Expandable title="properties">
        <ResponseField name="email" type="string" />

        <ResponseField name="type" type="enum">
          Available options: `BUSINESS`, `PRIVATE`, `OTHER`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="phoneNumbers" type="PhoneNumber[]">
      <Expandable title="properties">
        <ResponseField name="number" type="string" />

        <ResponseField name="type" type="enum">
          Available options: `BUSINESS`,`PRIVATE`,`FAX`, `MOBILE`,  `OTHER`
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Accordion>

  <Accordion title="Pennylane" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/pennylane.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=a035961c0f2e7136c351b5f3c0a5430a" width="414" height="414" data-path="logo/pennylane.svg">
    Supported Request Parameters:

    <ResponseField name="addresses" type="Address[]" required>
      <Expandable title="properties">
        <ResponseField name="addressLine1" type="string" required />

        <ResponseField name="postalCode" type="string" required />

        <ResponseField name="city" type="string" required />

        <ResponseField name="countryCode" type="enum" required>
          Available options (ISO 3166-1 alpha-2):

          `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, `AT`, `AU`, `AW`, `AX`, `AZ`, `BA`, `BB`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BL`, `BM`, `BN`, `BO`, `BQ`, `BR`, `BS`, `BT`, `BV`, `BW`, `BY`, `BZ`, `CA`, `CC`, `CD`, `CF`, `CG`, `CH`, `CI`, `CK`, `CL`, `CM`, `CN`, `CO`, `CR`, `CU`, `CV`, `CW`, `CX`, `CY`, `CZ`, `DE`, `DJ`, `DK`, `DM`, `DO`, `DZ`, `EC`, `EE`, `EG`, `EH`, `ER`, `ES`, `ET`, `FI`, `FJ`, `FK`, `FM`, `FO`, `FR`, `GA`, `GB`, `GD`, `GE`, `GF`, `GG`, `GH`, `GI`, `GL`, `GM`, `GN`, `GP`, `GQ`, `GR`, `GS`, `GT`, `GU`, `GW`, `GY`, `HK`, `HM`, `HN`, `HR`, `HT`, `HU`, `ID`, `IE`, `IL`, `IM`, `IN`, `IO`, `IQ`, `IR`, `IS`, `IT`, `JE`, `JM`, `JO`, `JP`, `KE`, `KG`, `KH`, `KI`, `KM`, `KN`, `KP`, `KR`, `KW`, `KY`, `KZ`, `LA`, `LB`, `LC`, `LI`, `LK`, `LR`, `LS`, `LT`, `LU`, `LV`, `LY`, `MA`, `MC`, `MD`, `ME`, `MF`, `MG`, `MH`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MQ`, `MR`, `MS`, `MT`, `MU`, `MV`, `MW`, `MX`, `MY`, `MZ`, `NA`, `NC`, `NE`, `NF`, `NG`, `NI`, `NL`, `NO`, `NP`, `NR`, `NU`, `NZ`, `OM`, `PA`, `PE`, `PF`, `PG`, `PH`, `PK`, `PL`, `PM`, `PN`, `PR`, `PT`, `PW`, `PY`, `QA`, `RE`, `RO`, `RS`, `RU`, `RW`, `SA`, `SB`, `SC`, `SD`, `SE`, `SG`, `SH`, `SI`, `SJ`, `SK`, `SL`, `SM`, `SN`, `SO`, `SR`, `SS`, `ST`, `SV`, `SX`, `SY`, `SZ`, `TC`, `TD`, `TF`, `TG`, `TH`, `TJ`, `TK`, `TL`, `TM`, `TN`, `TO`, `TR`, `TT`, `TV`, `TW`, `TZ`, `UA`, `UG`, `UM`, `US`, `UY`, `UZ`, `VA`, `VC`, `VE`, `VG`, `VI`, `VN`, `VU`, `WF`, `WS`, `YE`, `YT`, `ZA`, `ZM`, `ZW`
        </ResponseField>

        <ResponseField name="type" type="enum" required>
          Available options: `BILLING`, `DELIVERY`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="companyName" type="string">
      <Note>
        Required for `COMPANY` contactType.
      </Note>
    </ResponseField>

    <ResponseField name="contactType" type="enum" required>
      Available options: `CONTACT_PERSON`, `COMPANY`
    </ResponseField>

    <ResponseField name="contactPersons" type="ContactPerson[]">
      <Note>
        Required for `CONTACT_PERSON` contactType.
      </Note>

      <Expandable title="properties">
        <ResponseField name="firstName" type="string" required />

        <ResponseField name="lastName" type="string" required />

        <ResponseField name="emailAddresses" type="string[]" />

        <ResponseField name="phoneNumbers" type="string[]" />
      </Expandable>
    </ResponseField>

    <ResponseField name="emailAddresses" type="EmailAddress[]">
      <Expandable title="properties">
        <ResponseField name="email" type="string" required />

        <ResponseField name="type" type="enum">
          Available options: `BUSINESS`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="phoneNumbers" type="PhoneNumber[]">
      <Expandable title="properties">
        <ResponseField name="number" type="string" required />

        <ResponseField name="type" type="enum">
          Available options: `BUSINESS`
        </ResponseField>
      </Expandable>

      <ResponseField name="vatId" type="string">
        <Note>
          Only available for `COMPANY` contactType.
        </Note>
      </ResponseField>
    </ResponseField>
  </Accordion>

  <Accordion title="QuickBooks" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/quickbooks.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=7733377805a0f59c4cdada5817544447" width="24" height="24" data-path="logo/quickbooks.svg">
    Supported Request Parameters:

    <ResponseField name="contactType" type="enum" required>
      Available options: `CONTACT_PERSON`, `COMPANY`
    </ResponseField>

    <ResponseField name="companyName" type="string" />

    <ResponseField name="contactPersons" type="ContactPerson[]">
      <Expandable title="properties">
        <ResponseField name="salutation" type="string" />

        <ResponseField name="firstName" type="string" />

        <ResponseField name="lastName" type="string" />

        <ResponseField name="emailAddresses" type="string[]" />

        <ResponseField name="phoneNumbers" type="string[]" />
      </Expandable>
    </ResponseField>

    <ResponseField name="addresses" type="Address[]">
      <Expandable title="properties">
        <ResponseField name="addressLine1" type="string" />

        <ResponseField name="addressLine2" type="string" />

        <ResponseField name="postalCode" type="string" />

        <ResponseField name="city" type="string" />

        <ResponseField name="countryCode" type="enum">
          Available options (ISO 3166-1 alpha-2):

          `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, `AT`, `AU`, `AW`, `AX`, `AZ`, `BA`, `BB`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BL`, `BM`, `BN`, `BO`, `BQ`, `BR`, `BS`, `BT`, `BV`, `BW`, `BY`, `BZ`, `CA`, `CC`, `CD`, `CF`, `CG`, `CH`, `CI`, `CK`, `CL`, `CM`, `CN`, `CO`, `CR`, `CU`, `CV`, `CW`, `CX`, `CY`, `CZ`, `DE`, `DJ`, `DK`, `DM`, `DO`, `DZ`, `EC`, `EE`, `EG`, `EH`, `ER`, `ES`, `ET`, `FI`, `FJ`, `FK`, `FM`, `FO`, `FR`, `GA`, `GB`, `GD`, `GE`, `GF`, `GG`, `GH`, `GI`, `GL`, `GM`, `GN`, `GP`, `GQ`, `GR`, `GS`, `GT`, `GU`, `GW`, `GY`, `HK`, `HM`, `HN`, `HR`, `HT`, `HU`, `ID`, `IE`, `IL`, `IM`, `IN`, `IO`, `IQ`, `IR`, `IS`, `IT`, `JE`, `JM`, `JO`, `JP`, `KE`, `KG`, `KH`, `KI`, `KM`, `KN`, `KP`, `KR`, `KW`, `KY`, `KZ`, `LA`, `LB`, `LC`, `LI`, `LK`, `LR`, `LS`, `LT`, `LU`, `LV`, `LY`, `MA`, `MC`, `MD`, `ME`, `MF`, `MG`, `MH`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MQ`, `MR`, `MS`, `MT`, `MU`, `MV`, `MW`, `MX`, `MY`, `MZ`, `NA`, `NC`, `NE`, `NF`, `NG`, `NI`, `NL`, `NO`, `NP`, `NR`, `NU`, `NZ`, `OM`, `PA`, `PE`, `PF`, `PG`, `PH`, `PK`, `PL`, `PM`, `PN`, `PR`, `PT`, `PW`, `PY`, `QA`, `RE`, `RO`, `RS`, `RU`, `RW`, `SA`, `SB`, `SC`, `SD`, `SE`, `SG`, `SH`, `SI`, `SJ`, `SK`, `SL`, `SM`, `SN`, `SO`, `SR`, `SS`, `ST`, `SV`, `SX`, `SY`, `SZ`, `TC`, `TD`, `TF`, `TG`, `TH`, `TJ`, `TK`, `TL`, `TM`, `TN`, `TO`, `TR`, `TT`, `TV`, `TW`, `TZ`, `UA`, `UG`, `UM`, `US`, `UY`, `UZ`, `VA`, `VC`, `VE`, `VG`, `VI`, `VN`, `VU`, `WF`, `WS`, `YE`, `YT`, `ZA`, `ZM`, `ZW`
        </ResponseField>

        <ResponseField name="type" type="enum">
          Available options: `BILLING`, `DELIVERY`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="emailAddresses" type="EmailAddress[]">
      <Expandable title="properties">
        <ResponseField name="email" type="string" />

        <ResponseField name="type" type="enum">
          Available options: `BUSINESS`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="phoneNumbers" type="PhoneNumber[]">
      <Expandable title="properties">
        <ResponseField name="number" type="string" />

        <ResponseField name="type" type="enum">
          Available options: `BUSINESS`,`FAX`, `MOBILE`,  `OTHER`
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Accordion>

  <Accordion title="Sage Accounting" icon="https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/sageactive.svg?fit=max&auto=format&n=gCd41Ws3USFubam4&q=85&s=db4ef71b40820611bd17295476ff28f9" width="24" height="24" data-path="logo/sageactive.svg">
    <Note>
      This endpoint is available only for the following countries:
      Accounting Plus: Canada, United Kingdom, Ireland <br />
      Accounting Standard: United Kingdom, Ireland <br />
      Accounting Start: Canada, United Kingdom, Ireland
    </Note>

    <Note>
      When handling a new connection in your integration, it is advisable to first determine which subscription your customer is using to ensure compatibility. To do this, you can use the `GET Companies` call to retrieve all businesses available for the user. The user will then select one of these businesses.
      It is also a good practice to verify that the active property of the selected business is set to true before proceeding with the integration setup.
    </Note>

    Supported Request Parameters:

    <ResponseField name="contactType" type="enum" required>
      Available options: `CONTACT_PERSON`, `COMPANY`
    </ResponseField>

    <ResponseField name="companyName" type="string" />

    <ResponseField name="contactPersons" type="ContactPerson[]">
      <Expandable title="properties">
        <ResponseField name="firstName" type="string" />

        <ResponseField name="lastName" type="string" />

        <ResponseField name="emailAddresses" type="string[]" />

        <ResponseField name="phoneNumbers" type="string[]" />
      </Expandable>
    </ResponseField>

    <ResponseField name="addresses" type="Address[]">
      <Expandable title="properties">
        <ResponseField name="addressLine1" type="string" />

        <ResponseField name="addressLine2" type="string" />

        <ResponseField name="postalCode" type="string" />

        <ResponseField name="city" type="string" />

        <ResponseField name="countryCode" type="enum">
          Available options (ISO 3166-1 alpha-2):

          `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, `AT`, `AU`, `AW`, `AX`, `AZ`, `BA`, `BB`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BL`, `BM`, `BN`, `BO`, `BQ`, `BR`, `BS`, `BT`, `BV`, `BW`, `BY`, `BZ`, `CA`, `CC`, `CD`, `CF`, `CG`, `CH`, `CI`, `CK`, `CL`, `CM`, `CN`, `CO`, `CR`, `CU`, `CV`, `CW`, `CX`, `CY`, `CZ`, `DE`, `DJ`, `DK`, `DM`, `DO`, `DZ`, `EC`, `EE`, `EG`, `EH`, `ER`, `ES`, `ET`, `FI`, `FJ`, `FK`, `FM`, `FO`, `FR`, `GA`, `GB`, `GD`, `GE`, `GF`, `GG`, `GH`, `GI`, `GL`, `GM`, `GN`, `GP`, `GQ`, `GR`, `GS`, `GT`, `GU`, `GW`, `GY`, `HK`, `HM`, `HN`, `HR`, `HT`, `HU`, `ID`, `IE`, `IL`, `IM`, `IN`, `IO`, `IQ`, `IR`, `IS`, `IT`, `JE`, `JM`, `JO`, `JP`, `KE`, `KG`, `KH`, `KI`, `KM`, `KN`, `KP`, `KR`, `KW`, `KY`, `KZ`, `LA`, `LB`, `LC`, `LI`, `LK`, `LR`, `LS`, `LT`, `LU`, `LV`, `LY`, `MA`, `MC`, `MD`, `ME`, `MF`, `MG`, `MH`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MQ`, `MR`, `MS`, `MT`, `MU`, `MV`, `MW`, `MX`, `MY`, `MZ`, `NA`, `NC`, `NE`, `NF`, `NG`, `NI`, `NL`, `NO`, `NP`, `NR`, `NU`, `NZ`, `OM`, `PA`, `PE`, `PF`, `PG`, `PH`, `PK`, `PL`, `PM`, `PN`, `PR`, `PT`, `PW`, `PY`, `QA`, `RE`, `RO`, `RS`, `RU`, `RW`, `SA`, `SB`, `SC`, `SD`, `SE`, `SG`, `SH`, `SI`, `SJ`, `SK`, `SL`, `SM`, `SN`, `SO`, `SR`, `SS`, `ST`, `SV`, `SX`, `SY`, `SZ`, `TC`, `TD`, `TF`, `TG`, `TH`, `TJ`, `TK`, `TL`, `TM`, `TN`, `TO`, `TR`, `TT`, `TV`, `TW`, `TZ`, `UA`, `UG`, `UM`, `US`, `UY`, `UZ`, `VA`, `VC`, `VE`, `VG`, `VI`, `VN`, `VU`, `WF`, `WS`, `YE`, `YT`, `ZA`, `ZM`, `ZW`
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Accordion>

  <Accordion title="Sage Active" icon="https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/sageactive.svg?fit=max&auto=format&n=gCd41Ws3USFubam4&q=85&s=db4ef71b40820611bd17295476ff28f9" width="24" height="24" data-path="logo/sageactive.svg">
    <Note>
      If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated.
      You can obtain this value by using the `GET Companies` endpoint available under the Authentication section. Please use the id field as the companyId.
    </Note>

    Supported Request Parameters:

    <ResponseField name="companyName" type="string" required />

    <ResponseField name="contactPersons" type="ContactPerson[]">
      <Expandable title="properties">
        <ResponseField name="firstName" type="string" />

        <ResponseField name="lastName" type="string" />

        <ResponseField name="emailAddresses" type="string[]" />

        <ResponseField name="phoneNumbers" type="string[]" />
      </Expandable>
    </ResponseField>

    <ResponseField name="documentId" type="string" />

    <ResponseField name="addresses" type="Address[]" required>
      <Expandable title="properties">
        <ResponseField name="addressLine1" type="string" />

        <ResponseField name="addressLine2" type="string" />

        <ResponseField name="postalCode" type="string" />

        <ResponseField name="city" type="string" />

        <ResponseField name="countryCode" type="enum" required>
          Available options (ISO 3166-1 alpha-2):

          `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, `AT`, `AU`, `AW`, `AX`, `AZ`, `BA`, `BB`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BL`, `BM`, `BN`, `BO`, `BQ`, `BR`, `BS`, `BT`, `BV`, `BW`, `BY`, `BZ`, `CA`, `CC`, `CD`, `CF`, `CG`, `CH`, `CI`, `CK`, `CL`, `CM`, `CN`, `CO`, `CR`, `CU`, `CV`, `CW`, `CX`, `CY`, `CZ`, `DE`, `DJ`, `DK`, `DM`, `DO`, `DZ`, `EC`, `EE`, `EG`, `EH`, `ER`, `ES`, `ET`, `FI`, `FJ`, `FK`, `FM`, `FO`, `FR`, `GA`, `GB`, `GD`, `GE`, `GF`, `GG`, `GH`, `GI`, `GL`, `GM`, `GN`, `GP`, `GQ`, `GR`, `GS`, `GT`, `GU`, `GW`, `GY`, `HK`, `HM`, `HN`, `HR`, `HT`, `HU`, `ID`, `IE`, `IL`, `IM`, `IN`, `IO`, `IQ`, `IR`, `IS`, `IT`, `JE`, `JM`, `JO`, `JP`, `KE`, `KG`, `KH`, `KI`, `KM`, `KN`, `KP`, `KR`, `KW`, `KY`, `KZ`, `LA`, `LB`, `LC`, `LI`, `LK`, `LR`, `LS`, `LT`, `LU`, `LV`, `LY`, `MA`, `MC`, `MD`, `ME`, `MF`, `MG`, `MH`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MQ`, `MR`, `MS`, `MT`, `MU`, `MV`, `MW`, `MX`, `MY`, `MZ`, `NA`, `NC`, `NE`, `NF`, `NG`, `NI`, `NL`, `NO`, `NP`, `NR`, `NU`, `NZ`, `OM`, `PA`, `PE`, `PF`, `PG`, `PH`, `PK`, `PL`, `PM`, `PN`, `PR`, `PT`, `PW`, `PY`, `QA`, `RE`, `RO`, `RS`, `RU`, `RW`, `SA`, `SB`, `SC`, `SD`, `SE`, `SG`, `SH`, `SI`, `SJ`, `SK`, `SL`, `SM`, `SN`, `SO`, `SR`, `SS`, `ST`, `SV`, `SX`, `SY`, `SZ`, `TC`, `TD`, `TF`, `TG`, `TH`, `TJ`, `TK`, `TL`, `TM`, `TN`, `TO`, `TR`, `TT`, `TV`, `TW`, `TZ`, `UA`, `UG`, `UM`, `US`, `UY`, `UZ`, `VA`, `VC`, `VE`, `VG`, `VI`, `VN`, `VU`, `WF`, `WS`, `YE`, `YT`, `ZA`, `ZM`, `ZW`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="vatId" type="string" />

    <Note>
      If the customer is from Germany (DE): the VAT number is `recommended`, but not mandatory.

      If the customer is from another EU country but not DE: the VAT number is `mandatory`.

      If the customer is from outside the EU : the VAT number is not used at all.
    </Note>
  </Accordion>

  <Accordion title="sevdesk" icon="https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/sevdesk.svg?fit=max&auto=format&n=gCd41Ws3USFubam4&q=85&s=2b266052b2531cf2995f78c2aecf6019" width="24" height="24" data-path="logo/sevdesk.svg">
    Supported Request Parameters:

    <ResponseField name="contactType" type="enum" required>
      Available options: `CONTACT_PERSON`, `COMPANY`
    </ResponseField>

    <ResponseField name="companyName" type="string" />

    <ResponseField name="contactPersons" type="ContactPerson[]">
      <Expandable title="properties">
        <ResponseField name="salutation" type="string" />

        <ResponseField name="firstName" type="string" />

        <ResponseField name="lastName" type="string" />

        <ResponseField name="emailAddresses" type="string[]" />

        <ResponseField name="phoneNumbers" type="string[]" />
      </Expandable>
    </ResponseField>

    <ResponseField name="addresses" type="Address[]">
      <Expandable title="properties">
        <ResponseField name="addressLine1" type="string" />

        <ResponseField name="addressLine2" type="string" />

        <ResponseField name="postalCode" type="string" />

        <ResponseField name="city" type="string" />

        <ResponseField name="countryCode" type="enum">
          Available options (ISO 3166-1 alpha-2):

          `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, `AT`, `AU`, `AW`, `AX`, `AZ`, `BA`, `BB`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BL`, `BM`, `BN`, `BO`, `BQ`, `BR`, `BS`, `BT`, `BV`, `BW`, `BY`, `BZ`, `CA`, `CC`, `CD`, `CF`, `CG`, `CH`, `CI`, `CK`, `CL`, `CM`, `CN`, `CO`, `CR`, `CU`, `CV`, `CW`, `CX`, `CY`, `CZ`, `DE`, `DJ`, `DK`, `DM`, `DO`, `DZ`, `EC`, `EE`, `EG`, `EH`, `ER`, `ES`, `ET`, `FI`, `FJ`, `FK`, `FM`, `FO`, `FR`, `GA`, `GB`, `GD`, `GE`, `GF`, `GG`, `GH`, `GI`, `GL`, `GM`, `GN`, `GP`, `GQ`, `GR`, `GS`, `GT`, `GU`, `GW`, `GY`, `HK`, `HM`, `HN`, `HR`, `HT`, `HU`, `ID`, `IE`, `IL`, `IM`, `IN`, `IO`, `IQ`, `IR`, `IS`, `IT`, `JE`, `JM`, `JO`, `JP`, `KE`, `KG`, `KH`, `KI`, `KM`, `KN`, `KP`, `KR`, `KW`, `KY`, `KZ`, `LA`, `LB`, `LC`, `LI`, `LK`, `LR`, `LS`, `LT`, `LU`, `LV`, `LY`, `MA`, `MC`, `MD`, `ME`, `MF`, `MG`, `MH`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MQ`, `MR`, `MS`, `MT`, `MU`, `MV`, `MW`, `MX`, `MY`, `MZ`, `NA`, `NC`, `NE`, `NF`, `NG`, `NI`, `NL`, `NO`, `NP`, `NR`, `NU`, `NZ`, `OM`, `PA`, `PE`, `PF`, `PG`, `PH`, `PK`, `PL`, `PM`, `PN`, `PR`, `PT`, `PW`, `PY`, `QA`, `RE`, `RO`, `RS`, `RU`, `RW`, `SA`, `SB`, `SC`, `SD`, `SE`, `SG`, `SH`, `SI`, `SJ`, `SK`, `SL`, `SM`, `SN`, `SO`, `SR`, `SS`, `ST`, `SV`, `SX`, `SY`, `SZ`, `TC`, `TD`, `TF`, `TG`, `TH`, `TJ`, `TK`, `TL`, `TM`, `TN`, `TO`, `TR`, `TT`, `TV`, `TW`, `TZ`, `UA`, `UG`, `UM`, `US`, `UY`, `UZ`, `VA`, `VC`, `VE`, `VG`, `VI`, `VN`, `VU`, `WF`, `WS`, `YE`, `YT`, `ZA`, `ZM`, `ZW`
        </ResponseField>

        <ResponseField name="type" type="enum">
          Available options: `BILLING`, `DELIVERY`, `EMPTY`, `PRIVATE`, `WORK`, `PICKUP`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="emailAddresses" type="EmailAddress[]">
      <Expandable title="properties">
        <ResponseField name="email" type="string" />

        <ResponseField name="type" type="enum">
          Available options:`OTHER`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="number" type="string" />

    <ResponseField name="phoneNumbers" type="PhoneNumber[]">
      <Expandable title="properties">
        <ResponseField name="number" type="string" />

        <ResponseField name="type" type="enum">
          Available options: `OTHER`
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Accordion>

  <Accordion title="Twinfield" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/twinfield.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=aacf76ab75d30aabd615bc761d08f405" width="24" height="24" data-path="logo/twinfield.svg">
    <Note>
      If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated.
      You can obtain this value by using the `GET Companies` endpoint available under the Authentication section.
    </Note>

    Supported Request Parameters:

    <ResponseField name="contactType" type="enum" required>
      Available options: `COMPANY`
    </ResponseField>

    <ResponseField name="companyName" type="string" />

    <ResponseField name="addresses" type="Address[]">
      <Expandable title="properties">
        <ResponseField name="addressLine1" type="string" />

        <ResponseField name="addressLine2" type="string" />

        <ResponseField name="postalCode" type="string" />

        <ResponseField name="city" type="string" />

        <ResponseField name="countryCode" type="enum">
          Available options (ISO 3166-1 alpha-2):

          `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, `AT`, `AU`, `AW`, `AX`, `AZ`, `BA`, `BB`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BL`, `BM`, `BN`, `BO`, `BQ`, `BR`, `BS`, `BT`, `BV`, `BW`, `BY`, `BZ`, `CA`, `CC`, `CD`, `CF`, `CG`, `CH`, `CI`, `CK`, `CL`, `CM`, `CN`, `CO`, `CR`, `CU`, `CV`, `CW`, `CX`, `CY`, `CZ`, `DE`, `DJ`, `DK`, `DM`, `DO`, `DZ`, `EC`, `EE`, `EG`, `EH`, `ER`, `ES`, `ET`, `FI`, `FJ`, `FK`, `FM`, `FO`, `FR`, `GA`, `GB`, `GD`, `GE`, `GF`, `GG`, `GH`, `GI`, `GL`, `GM`, `GN`, `GP`, `GQ`, `GR`, `GS`, `GT`, `GU`, `GW`, `GY`, `HK`, `HM`, `HN`, `HR`, `HT`, `HU`, `ID`, `IE`, `IL`, `IM`, `IN`, `IO`, `IQ`, `IR`, `IS`, `IT`, `JE`, `JM`, `JO`, `JP`, `KE`, `KG`, `KH`, `KI`, `KM`, `KN`, `KP`, `KR`, `KW`, `KY`, `KZ`, `LA`, `LB`, `LC`, `LI`, `LK`, `LR`, `LS`, `LT`, `LU`, `LV`, `LY`, `MA`, `MC`, `MD`, `ME`, `MF`, `MG`, `MH`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MQ`, `MR`, `MS`, `MT`, `MU`, `MV`, `MW`, `MX`, `MY`, `MZ`, `NA`, `NC`, `NE`, `NF`, `NG`, `NI`, `NL`, `NO`, `NP`, `NR`, `NU`, `NZ`, `OM`, `PA`, `PE`, `PF`, `PG`, `PH`, `PK`, `PL`, `PM`, `PN`, `PR`, `PT`, `PW`, `PY`, `QA`, `RE`, `RO`, `RS`, `RU`, `RW`, `SA`, `SB`, `SC`, `SD`, `SE`, `SG`, `SH`, `SI`, `SJ`, `SK`, `SL`, `SM`, `SN`, `SO`, `SR`, `SS`, `ST`, `SV`, `SX`, `SY`, `SZ`, `TC`, `TD`, `TF`, `TG`, `TH`, `TJ`, `TK`, `TL`, `TM`, `TN`, `TO`, `TR`, `TT`, `TV`, `TW`, `TZ`, `UA`, `UG`, `UM`, `US`, `UY`, `UZ`, `VA`, `VC`, `VE`, `VG`, `VI`, `VN`, `VU`, `WF`, `WS`, `YE`, `YT`, `ZA`, `ZM`, `ZW`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="emailAddresses" type="EmailAddress[]">
      <Expandable title="properties">
        <ResponseField name="email" type="string" />
      </Expandable>
    </ResponseField>

    <ResponseField name="phoneNumbers" type="PhoneNumber[]">
      <Expandable title="properties">
        <ResponseField name="number" type="string" />
      </Expandable>
    </ResponseField>
  </Accordion>

  <Accordion title="weclapp" icon="https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/weclapp.svg?fit=max&auto=format&n=gCd41Ws3USFubam4&q=85&s=6a1eb194f06b8ed5c6ebec41766aff4a" width="24" height="24" data-path="logo/weclapp.svg">
    Supported Request Parameters:

    <ResponseField name="contactType" type="enum" required>
      Available options: `CONTACT_PERSON`, `COMPANY`
    </ResponseField>

    <ResponseField name="companyName" type="string" />

    <ResponseField name="contactPersons" type="ContactPerson[]">
      <Expandable title="properties">
        <ResponseField name="salutation" type="string" />

        <ResponseField name="firstName" type="string" />

        <ResponseField name="lastName" type="string" />

        <ResponseField name="emailAddresses" type="string[]" />

        <ResponseField name="phoneNumbers" type="string[]" />
      </Expandable>
    </ResponseField>

    <ResponseField name="addresses" type="Address[]">
      <Expandable title="properties">
        <ResponseField name="addressLine1" type="string" />

        <ResponseField name="addressLine2" type="string" />

        <ResponseField name="postalCode" type="string" />

        <ResponseField name="city" type="string" />

        <ResponseField name="countryCode" type="enum">
          Available options (ISO 3166-1 alpha-2):

          `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, `AT`, `AU`, `AW`, `AX`, `AZ`, `BA`, `BB`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BL`, `BM`, `BN`, `BO`, `BQ`, `BR`, `BS`, `BT`, `BV`, `BW`, `BY`, `BZ`, `CA`, `CC`, `CD`, `CF`, `CG`, `CH`, `CI`, `CK`, `CL`, `CM`, `CN`, `CO`, `CR`, `CU`, `CV`, `CW`, `CX`, `CY`, `CZ`, `DE`, `DJ`, `DK`, `DM`, `DO`, `DZ`, `EC`, `EE`, `EG`, `EH`, `ER`, `ES`, `ET`, `FI`, `FJ`, `FK`, `FM`, `FO`, `FR`, `GA`, `GB`, `GD`, `GE`, `GF`, `GG`, `GH`, `GI`, `GL`, `GM`, `GN`, `GP`, `GQ`, `GR`, `GS`, `GT`, `GU`, `GW`, `GY`, `HK`, `HM`, `HN`, `HR`, `HT`, `HU`, `ID`, `IE`, `IL`, `IM`, `IN`, `IO`, `IQ`, `IR`, `IS`, `IT`, `JE`, `JM`, `JO`, `JP`, `KE`, `KG`, `KH`, `KI`, `KM`, `KN`, `KP`, `KR`, `KW`, `KY`, `KZ`, `LA`, `LB`, `LC`, `LI`, `LK`, `LR`, `LS`, `LT`, `LU`, `LV`, `LY`, `MA`, `MC`, `MD`, `ME`, `MF`, `MG`, `MH`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MQ`, `MR`, `MS`, `MT`, `MU`, `MV`, `MW`, `MX`, `MY`, `MZ`, `NA`, `NC`, `NE`, `NF`, `NG`, `NI`, `NL`, `NO`, `NP`, `NR`, `NU`, `NZ`, `OM`, `PA`, `PE`, `PF`, `PG`, `PH`, `PK`, `PL`, `PM`, `PN`, `PR`, `PT`, `PW`, `PY`, `QA`, `RE`, `RO`, `RS`, `RU`, `RW`, `SA`, `SB`, `SC`, `SD`, `SE`, `SG`, `SH`, `SI`, `SJ`, `SK`, `SL`, `SM`, `SN`, `SO`, `SR`, `SS`, `ST`, `SV`, `SX`, `SY`, `SZ`, `TC`, `TD`, `TF`, `TG`, `TH`, `TJ`, `TK`, `TL`, `TM`, `TN`, `TO`, `TR`, `TT`, `TV`, `TW`, `TZ`, `UA`, `UG`, `UM`, `US`, `UY`, `UZ`, `VA`, `VC`, `VE`, `VG`, `VI`, `VN`, `VU`, `WF`, `WS`, `YE`, `YT`, `ZA`, `ZM`, `ZW`
        </ResponseField>

        <ResponseField name="type" type="enum">
          Available options: `BILLING`, `DELIVERY`
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Accordion>

  <Accordion title="Xentral" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/xentral.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=178700a67ab1b51df03e62487907f0dd" width="24" height="24" data-path="logo/xentral.svg">
    Supported Request Parameters:

    <ResponseField name="contactType" type="enum" required>
      Available options: `CONTACT_PERSON`, `COMPANY`
    </ResponseField>

    <ResponseField name="companyName" type="string" />

    <ResponseField name="contactPersons" type="ContactPerson[]">
      <Expandable title="properties">
        <ResponseField name="salutation" type="string">
          Available options: `Frau`, `Herr`, `Familie`, `Herr & Frau`
        </ResponseField>

        <ResponseField name="firstName" type="string" required />

        <ResponseField name="lastName" type="string" required />

        <ResponseField name="emailAddresses" type="string[]" />

        <ResponseField name="phoneNumbers" type="string[]" />
      </Expandable>
    </ResponseField>

    <ResponseField name="addresses" type="Address[]" required>
      <Expandable title="properties">
        <ResponseField name="addressLine1" type="string" required />

        <ResponseField name="addressLine2" type="string" required />

        <ResponseField name="city" type="string" required />

        <ResponseField name="postalCode" type="string" required />

        <ResponseField name="countryCode" type="enum" required>
          Available options (ISO 3166-1 alpha-2):

          `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, `AT`, `AU`, `AW`, `AX`, `AZ`, `BA`, `BB`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BL`, `BM`, `BN`, `BO`, `BQ`, `BR`, `BS`, `BT`, `BV`, `BW`, `BY`, `BZ`, `CA`, `CC`, `CD`, `CF`, `CG`, `CH`, `CI`, `CK`, `CL`, `CM`, `CN`, `CO`, `CR`, `CU`, `CV`, `CW`, `CX`, `CY`, `CZ`, `DE`, `DJ`, `DK`, `DM`, `DO`, `DZ`, `EC`, `EE`, `EG`, `EH`, `ER`, `ES`, `ET`, `FI`, `FJ`, `FK`, `FM`, `FO`, `FR`, `GA`, `GB`, `GD`, `GE`, `GF`, `GG`, `GH`, `GI`, `GL`, `GM`, `GN`, `GP`, `GQ`, `GR`, `GS`, `GT`, `GU`, `GW`, `GY`, `HK`, `HM`, `HN`, `HR`, `HT`, `HU`, `ID`, `IE`, `IL`, `IM`, `IN`, `IO`, `IQ`, `IR`, `IS`, `IT`, `JE`, `JM`, `JO`, `JP`, `KE`, `KG`, `KH`, `KI`, `KM`, `KN`, `KP`, `KR`, `KW`, `KY`, `KZ`, `LA`, `LB`, `LC`, `LI`, `LK`, `LR`, `LS`, `LT`, `LU`, `LV`, `LY`, `MA`, `MC`, `MD`, `ME`, `MF`, `MG`, `MH`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MQ`, `MR`, `MS`, `MT`, `MU`, `MV`, `MW`, `MX`, `MY`, `MZ`, `NA`, `NC`, `NE`, `NF`, `NG`, `NI`, `NL`, `NO`, `NP`, `NR`, `NU`, `NZ`, `OM`, `PA`, `PE`, `PF`, `PG`, `PH`, `PK`, `PL`, `PM`, `PN`, `PR`, `PT`, `PW`, `PY`, `QA`, `RE`, `RO`, `RS`, `RU`, `RW`, `SA`, `SB`, `SC`, `SD`, `SE`, `SG`, `SH`, `SI`, `SJ`, `SK`, `SL`, `SM`, `SN`, `SO`, `SR`, `SS`, `ST`, `SV`, `SX`, `SY`, `SZ`, `TC`, `TD`, `TF`, `TG`, `TH`, `TJ`, `TK`, `TL`, `TM`, `TN`, `TO`, `TR`, `TT`, `TV`, `TW`, `TZ`, `UA`, `UG`, `UM`, `US`, `UY`, `UZ`, `VA`, `VC`, `VE`, `VG`, `VI`, `VN`, `VU`, `WF`, `WS`, `YE`, `YT`, `ZA`, `ZM`, `ZW`
        </ResponseField>

        <ResponseField name="type" type="enum">
          Available options: `BILLING`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="emailAddresses" type="EmailAddress[]">
      <Expandable title="properties">
        <ResponseField name="email" type="string" />

        <ResponseField name="type" type="enum">
          Available options:`BUSINESS`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="phoneNumbers" type="PhoneNumber[]">
      <Expandable title="properties">
        <ResponseField name="number" type="string" />

        <ResponseField name="type" type="enum">
          Available options: `BUSINESS`, `FAX`, `MOBILE`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="bankAccount" type="BankAccount" required>
      <Expandable title="properties">
        <ResponseField name="iban" type="string" required />

        <ResponseField name="bic" type="string" required />

        <ResponseField name="holder" type="string" required />

        <ResponseField name="sepa" type="boolean" required />
      </Expandable>
    </ResponseField>

    <ResponseField name="projectId" type="string" required />
  </Accordion>
</AccordionGroup>


## OpenAPI

````yaml post /accounting/customers
openapi: 3.0.0
info:
  title: Maesn unified API
  description: The Maesn unified API description
  version: '1.0'
  contact: {}
servers:
  - url: https://api.maesn.dev
security: []
tags:
  - name: maesn
    description: ''
paths:
  /accounting/customers:
    post:
      tags:
        - accounting
      operationId: createCustomer
      parameters:
        - name: companyId
          required: false
          in: query
          schema:
            type: string
        - name: environmentName
          in: query
          schema:
            type: string
          required: false
        - name: X-API-KEY
          description: API key
          in: header
          schema:
            type: string
          required: true
        - name: X-ACCOUNT-KEY
          description: Account key
          in: header
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateContactRequestDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BaseResponseDto'
                  - properties:
                      data:
                        $ref: '#/components/schemas/ContactResponseDto'
                        type: object
components:
  schemas:
    CreateContactRequestDto:
      type: object
      properties:
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/ContactAddress'
        bankAccount:
          $ref: '#/components/schemas/BankAccount'
        companyName:
          type: string
          example: maesn
        contactType:
          type: string
          enum:
            - CONTACT_PERSON
            - COMPANY
            - UNDEFINED
          example: CONTACT_PERSON
        contactPersons:
          type: array
          items:
            $ref: '#/components/schemas/ContactPersonRequest'
        documentId:
          type: string
          example: Z1248601M
        emailAddresses:
          type: array
          items:
            $ref: '#/components/schemas/ContactEmail'
        number:
          type: string
          example: '1042'
        phoneNumbers:
          type: array
          items:
            $ref: '#/components/schemas/ContactPhone'
        projectId:
          type: string
          example: '3'
        vatId:
          type: string
          example: DE123456789
    BaseResponseDto:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/MetaResponse'
        data:
          oneOf:
            - type: object
            - type: array
    ContactResponseDto:
      type: object
      properties:
        id:
          type: string
          example: 92c4f3a2-5b8e-4d1b-8a0c-9f6e7d2f3e4b
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/ContactAddress'
        companyName:
          type: string
          example: maesn
        contactType:
          type: string
          enum:
            - CONTACT_PERSON
            - COMPANY
          example: CONTACT_PERSON
        contactPersons:
          type: array
          items:
            $ref: '#/components/schemas/ContactPerson'
        documentId:
          type: string
          example: Z1248601M
        emailAddresses:
          type: array
          items:
            $ref: '#/components/schemas/ContactEmail'
        number:
          type: string
          example: '1042'
        phoneNumbers:
          type: array
          items:
            $ref: '#/components/schemas/ContactPhone'
        projectId:
          type: string
          example: '3'
        updatedDate:
          type: string
          example: '2018-01-01T13:00:00.000Z'
        vatId:
          type: string
          example: DE123456789
    ContactAddress:
      type: object
      properties:
        addressLine1:
          type: string
          example: Lucky street 1
        addressLine2:
          type: string
          example: 2nd floor
        city:
          type: string
          example: Berlin
        countryCode:
          type: string
          enum:
            - AD
            - AE
            - AF
            - AG
            - AI
            - AL
            - AM
            - AO
            - AQ
            - AR
            - AS
            - AT
            - AU
            - AW
            - AX
            - AZ
            - BA
            - BB
            - BD
            - BE
            - BF
            - BG
            - BH
            - BI
            - BJ
            - BL
            - BM
            - BN
            - BO
            - BQ
            - BR
            - BS
            - BT
            - BV
            - BW
            - BY
            - BZ
            - CA
            - CC
            - CD
            - CF
            - CG
            - CH
            - CI
            - CK
            - CL
            - CM
            - CN
            - CO
            - CR
            - CU
            - CV
            - CW
            - CX
            - CY
            - CZ
            - DE
            - DJ
            - DK
            - DM
            - DO
            - DZ
            - EC
            - EE
            - EG
            - EH
            - ER
            - ES
            - ET
            - FI
            - FJ
            - FK
            - FM
            - FO
            - FR
            - GA
            - GB
            - GD
            - GE
            - GF
            - GG
            - GH
            - GI
            - GL
            - GM
            - GN
            - GP
            - GQ
            - GR
            - GS
            - GT
            - GU
            - GW
            - GY
            - HK
            - HM
            - HN
            - HR
            - HT
            - HU
            - ID
            - IE
            - IL
            - IM
            - IN
            - IO
            - IQ
            - IR
            - IS
            - IT
            - JE
            - JM
            - JO
            - JP
            - KE
            - KG
            - KH
            - KI
            - KM
            - KN
            - KP
            - KR
            - KW
            - KY
            - KZ
            - LA
            - LB
            - LC
            - LI
            - LK
            - LR
            - LS
            - LT
            - LU
            - LV
            - LY
            - MA
            - MC
            - MD
            - ME
            - MF
            - MG
            - MH
            - MK
            - ML
            - MM
            - MN
            - MO
            - MP
            - MQ
            - MR
            - MS
            - MT
            - MU
            - MV
            - MW
            - MX
            - MY
            - MZ
            - NA
            - NC
            - NE
            - NF
            - NG
            - NI
            - NL
            - 'NO'
            - NP
            - NR
            - NU
            - NZ
            - OM
            - PA
            - PE
            - PF
            - PG
            - PH
            - PK
            - PL
            - PM
            - PN
            - PR
            - PT
            - PW
            - PY
            - QA
            - RE
            - RO
            - RS
            - RU
            - RW
            - SA
            - SB
            - SC
            - SD
            - SE
            - SG
            - SH
            - SI
            - SJ
            - SK
            - SL
            - SM
            - SN
            - SO
            - SR
            - SS
            - ST
            - SV
            - SX
            - SY
            - SZ
            - TC
            - TD
            - TF
            - TG
            - TH
            - TJ
            - TK
            - TL
            - TM
            - TN
            - TO
            - TR
            - TT
            - TV
            - TW
            - TZ
            - UA
            - UG
            - UM
            - US
            - UY
            - UZ
            - VA
            - VC
            - VE
            - VG
            - VI
            - VN
            - VU
            - WF
            - WS
            - YE
            - YT
            - ZA
            - ZM
            - ZW
          example: DE
        postalCode:
          type: string
          example: '10243'
        type:
          type: string
          enum:
            - BILLING
            - DELIVERY
            - EMPTY
            - PRIVATE
            - WORK
            - PICKUP
          example: BILLING
    BankAccount:
      type: object
      properties:
        bic:
          type: string
          example: COBADEFFXXX
        holder:
          type: string
          example: John Doe
        iban:
          type: string
          example: DE89370400440532013000
        isMainAccount:
          type: boolean
          example: true
        name:
          type: string
          example: Sparkasse
        sepa:
          type: boolean
          example: true
      required:
        - iban
        - bic
        - holder
        - sepa
    ContactPersonRequest:
      type: object
      properties:
        emailAddresses:
          type: array
          items:
            $ref: '#/components/schemas/ContactEmail'
        firstName:
          type: string
          example: John
        lastName:
          type: string
          example: Doe
        phoneNumbers:
          type: array
          items:
            $ref: '#/components/schemas/ContactPhone'
        salutation:
          type: string
          example: Mr
    ContactEmail:
      type: object
      properties:
        email:
          type: string
          example: john.doe@company.com
        type:
          type: string
          enum:
            - BUSINESS
            - PRIVATE
            - OFFICE
            - INVOICE
            - PAYMENT
            - OTHER
          example: BUSINESS
    ContactPhone:
      type: object
      properties:
        number:
          type: string
          example: +49 7163307056
        type:
          type: string
          enum:
            - BUSINESS
            - MOBILE
            - FAX
            - LANDLINE
            - OFFICE
            - OTHER
            - PRIVATE
            - SKYPE
            - WHATSAPP
          example: MOBILE
    MetaResponse:
      type: object
      properties:
        warnings:
          type: array
          items:
            type: string
            example: Field not used by target system
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
    ContactPerson:
      type: object
      properties:
        emailAddresses:
          type: array
          items:
            $ref: '#/components/schemas/ContactEmail'
        firstName:
          type: string
          example: John
        lastName:
          type: string
          example: Doe
        phoneNumbers:
          type: array
          items:
            $ref: '#/components/schemas/ContactPhone'
        salutation:
          type: string
          example: Mr
    PaginationResponse:
      type: object
      properties:
        total:
          type: number
          example: 125
        perPage:
          type: number
          example: 50
        currentPage:
          type: number
          example: 1
        totalPages:
          type: number
          example: 3

````